<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_oauth2', language 'it', branch 'MOODLE_36_STABLE'
 *
 * @package   auth_oauth2
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accountalreadylinked'] = 'Questo account OAuth 2 è già collegato ad un altro account Totara';
$string['accountwithemailexists'] = 'Un utente con questa email esiste già su questo sito. Se questo è il tuo account accedi inserendo username e password e aggiungilo come login collegato sulla tua pagina delle preferenze.';
$string['allowaccountcreation'] = 'Consenti la creazione di un nuovo account';
$string['allowaccountcreation_desc'] = 'Da abilitare se si desidera che questo plugin crei nuovi account OAuth 2 quando gli utenti accedono per la prima volta attraverso il servizio OAuth.';
$string['allowautolinkingexisting'] = 'Consenti il collegamento automatico di account esistenti';
$string['allowautolinkingexisting_desc'] = 'Da abilitare se si desidera consentire il collegamento automatico degli account esterni OAuth 2 con gli account utenti locali Totara esistenti attraverso gli indirizzi email durante il processo di login.

Per prevenire la compromissione degli account si raccomanda caldamente di abilitare la conferma di appartenenza dell\'email all\'interno delle impostazioni dell\'emittente.';
$string['alreadylinked'] = 'L\'account esterno è già collegato ad un account del sito';
$string['auth_oauth2description'] = 'Autenticazione basata sullo standard OAuth 2';
$string['auth_oauth2settings'] = 'Impostazioni autenticazione OAuth 2';
$string['confirmaccountemail'] = 'Gentile {$a->fullname},

è stata richiesta la creazione di un nuovo account su \'{$a->sitename}\' con il tuo indirizzo di posta elettronica.

Per confermare questo account, devi cliccare sul link seguente:

{$a->link}

Nella maggior parte dei programmi di posta il link dovrebbe apparire colorato di blu ed è sufficiente cliccarlo. Se il link non dovesse essere attivo, copia e incolla il link nella barra dell\'indirizzo del tuo browser e premi il tasto invio.

Se hai bisogno di aiuto contatta l\'amministratore del sito,
{$a->admin}';
$string['confirmaccountemailsubject'] = '{$a}: conferma account';
$string['confirmationinvalid'] = 'Il link di conferma è scaduto o non è valido. Per generare una nuova email di conferma devi ricominciare daccapo il processo di autenticazione.';
$string['confirmationpending'] = 'Account in attesa di conferma email';
$string['confirmdeletelinkedlogin'] = 'Vuoi eliminare {$a->issuername} collegato all\'autenticazione dell\'utente {$a->fullname}?';
$string['confirmlinkedloginemail'] = 'Gentile {$a->fullname},

è stato richiesto di collegare l\'autenticazione di \'{$a->issuername}\' {$a->linkedemail} con il tuo account su {$a->sitename}\' con il tuo indirizzo di posta elettronica.

Per confermare la richiesta e collegare le autenticazioni, devi cliccare sul link seguente:

{$a->link}

Nella maggior parte dei programmi di posta il link dovrebbe apparire colorato di blu ed è sufficiente cliccarlo. Se il link non dovesse essere attivo, copia e incolla il link nella barra dell\'indirizzo del tuo browser e premi il tasto invio.

Se hai bisogno di aiuto contatta l\'amministratore del sito,
{$a->admin}';
$string['confirmlinkedloginemailsubject'] = '{$a}: Conferma collegamento autenticazioni';
$string['createnewlinkedlogin'] = 'Collega un nuovo account ({$a})';
$string['deletelinkedlogin'] = 'Elimina autenticazione collegata';
$string['emailconfirmlink'] = 'Collega i tuoi account';
$string['emailconfirmlinksent'] = '<p>È stato trovato un account con questo indirizzo email che non è stato ancora collegato.</p>
   <p>Gli account devono essere collegati prima che tu possa autenticarti.</p>
   <p>Una mail dovrebbe essere stata spedita al tuo indirizzo <b>{$a}</b>.</p>
   <p>Contiene istruzioni per collegare i tuoi account.</p>
   <p>Se incontri difficoltà, contatta l\'amministratore del sito.</p>';
$string['emailpasswordchangeinfo'] = 'Gentile {$a->firstname},

è stata richiesta una nuova password per l\'account \'{$a->username}\' su \'{$a->sitename}\'.

Purtroppo la password non può essere reimpostata perché per autenticati utilizzi un account di un altro sito.

Per favore autenticati come in precedenza utilizzando il collegamento presente nella pagina di autenticazione.
{$a->admin}';
$string['emailpasswordchangeinfosubject'] = '{$a}: Informazioni sul cambio password';
$string['info'] = 'Account esterno';
$string['issuer'] = 'Servizio OAuth 2';
$string['issueremail'] = 'Email del fornitore esterno';
$string['issuernologin'] = 'Questo fornitore non può essere utilizzato per autenticarsi.';
$string['issuerusername'] = 'Username del fornitore esterno';
$string['linkedlogins'] = 'Autenticazioni collegate';
$string['linkedloginshelp'] = 'Aiuto su Autenticazioni collegate';
$string['loginerror_authenticationfailed'] = 'Il processo di autenticazione non è andato a buon fine.';
$string['loginerror_cannotcreateaccounts'] = 'Non è stato possibile individuare un account con il tuo indirizzo email';
$string['loginerror_invaliddomain'] = 'L\'indirizzo email non è autorizzato.';
$string['loginerror_nolinking'] = 'Gli account OAuth 2 non possono essere collegati ad account locali';
$string['loginerror_nouserinfo'] = 'Non sono state ricevute informazioni sull\'utente. Probabilmente il servizio OAuth2 non è configurato correttamente.';
$string['loginerror_userincomplete'] = 'Non sono stati ricevuti lo username e l\'email dell\'utente. Probabilmente il servizio OAuth2 non è configurato correttamente.';
$string['noissuersavailable'] = 'Nessun servizio OAuth 2 tra quelli configurati consente di collegare account per l\'autenticazione';
$string['notenabled'] = 'Siamo spiacenti, il plugin di autenticazione OAuth 2 non è abilitato';
$string['notloggedindebug'] = 'L\'autenticazione non è andata a buon fine. Motivo: {$a}';
$string['oauth2:deletelinkedlogins'] = 'Eliminare i login OAuth 2 collegati';
$string['oauth2:managelinkedlogins'] = 'Gestire proprie autenticazioni collegate';
$string['plugindescription'] = 'Il plugin di autenticazione visualizza nella pagina di login un elenco di identity provider. L\'utente potrà selezionare l\'identity provider opportuno per autenticarsi con le proprie credenziali OAuth 2.';
$string['pluginname'] = 'OAuth 2';
$string['userdataitem-issuer-email'] = 'Email del fornitore esterno OAuth 2';
$string['userdataitem-issuer-username'] = 'Username fornitore  esterno OAuth 2';
