<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_redis', language 'it', branch 'MOODLE_36_STABLE'
 *
 * @package   cachestore_redis
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['compressor_none'] = 'Nessuna compressione.';
$string['compressor_php_gzip'] = 'Utilizza compressione gzip.';
$string['compressor_php_zstd'] = 'Utilizza compressione Zstandard.';
$string['database'] = 'Numero del database';
$string['database_help'] = 'Idealmente andrebbe specificato un numero univoco per ciascuno store.

Installazioni diverse non devono condividere lo stesso database Redis.';
$string['errordatabasenegative'] = 'Il database deve essere 0 o un numero intero positivo.';
$string['password'] = 'Password';
$string['password_help'] = 'La password del server Redis';
$string['pluginname'] = 'Redis';
$string['prefix'] = 'Prefisso chiave';
$string['prefix_help'] = 'Il prefisso dei nomi delle chiavi del server Redis.
* Se il server Redis è utilizzato solamente da una istanza Totara, è possibile lasciare il valore al suo default.
* a causa di limiti nella lunghezza delle chiavi, è possibile utilizzare al massimo 5 caratteri.';
$string['prefixinvalid'] = 'Il prefisso non è valido. E\' possibile utilizzare a-z A-Z 0-9-_.';
$string['read_password'] = 'Password replica di lettura';
$string['read_password_help'] = 'La password della replica di lettura Redis';
$string['read_server'] = 'Server replica di lettura';
$string['read_server_help'] = 'Nel caso si utilizzi un ambiente con repliche di lettura Redis, impostare l\'indirizzo del bilanciatore repliche di lettura.';
$string['sentinelhosts'] = 'Host Sentinel';
$string['sentinelhosts_help'] = 'Redis Sentinel è una soluzione ad alta affidabilità per Redis. Assicura il monitoraggio, il failover e semplifica la configurazione.

E\' possibile impostare gli host Sentinel utilzzando un elenco separato da virgola, ad esempio: "host1:port,host2:port,host3:port". I socket Unix non sono supportati.

Quando specificato, l\'impostazione Server non viene utilizzata e l\'impostazione Password viene utilizzata per il master indicato da Sentinel.';
$string['sentinelmaster'] = 'Nome del master Sentinel';
$string['sentinelmaster_help'] = 'Il nome interno del master presente nella configurazione Redis Sentinel.';
$string['sentinelpassword'] = 'Password Sentinel';
$string['serializer_igbinary'] = 'Il serializzatore igbinary';
$string['serializer_php'] = 'Il serializzatore di default del PHP';
$string['server'] = 'Server';
$string['server_help'] = 'Il nome host o l\'indirizzo IP del server Redis';
$string['test_database'] = 'Database Redis d test';
$string['test_database_desc'] = 'Il numero del database Redis nel server di test.';
$string['test_password'] = 'Password del server Redis di test';
$string['test_password_desc'] = 'La password del server di test Redis';
$string['test_read_password'] = 'Password replica di lettura Redis';
$string['test_read_password_desc'] = 'La password della replica di lettura Redis.';
$string['test_read_server'] = 'Server di test replica di lettura Redis';
$string['test_read_server_desc'] = 'Il server da utilizzare per i test della replica di lettura Redis';
$string['test_sentinelhosts'] = 'Host Redis Sentinel di test';
$string['test_sentinelhosts_desc'] = 'L\'host Redis Sentinel da utilizzare per il test di MUC.';
$string['test_sentinelmaster'] = 'Nome del master Redis Sentinel di test';
$string['test_sentinelmaster_desc'] = 'Il nome del master Redis Sentinel da utilizzare per il test di MUC.';
$string['test_sentinelpassword'] = 'Password Redis Sentinel di test';
$string['test_sentinelpassword_desc'] = 'La password Redis Sentinel da utilizzare per il test di MUC.';
$string['test_serializer'] = 'Serializzatore';
$string['test_serializer_desc'] = 'Il serializer da utilizzare per il test.';
$string['test_server'] = 'Server Redis di test';
$string['test_server_desc'] = 'Il server Redis di test da utilizzare';
$string['usecompressor'] = 'Utilizza compressore';
$string['usecompressor_help'] = 'Specifica il compressore da utilizzare dopo la serializzazione. Viene eseguito a livello dell\'API Cache di Totara, non a livello di php-redis.';
$string['useserializer'] = 'Utilizza serializzatore';
$string['useserializer_help'] = 'Il serializzatore da utilizzare. Sono validi Redis::SERIALIZER_PHP oppure Redis::SERIALIZER_IGBINARY. L\'ultimo dei due è supportato solo se phpredis è configurato con l\'opzione  --enable-redis-igbinary ed è caricata l\'esensioen igbinary.';
$string['useserializer_warning'] = 'Il serializer non deve essere modificato se la cache contiene dati.';
