<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'search_solr', language 'it', branch 'MOODLE_36_STABLE'
 *
 * @package   search_solr
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['configsettings'] = 'Configurazione Solr';
$string['connectionerror'] = 'Il server Solr specificato non esiste oppure non esiste l\'indice';
$string['connectionsettings'] = 'Impostazioni di connessione';
$string['discardsearchfieldnames'] = 'Elimina i nomi dei campi di ricerca predefiniti del sito';
$string['discardsearchfieldnames_help'] = 'Se abilitato, i nomi dei campi di ricerca predefiniti non vengono inviati al motore di ricerca Solr e Solr può specificare i propri nomi dei campi di ricerca. In questo modo aumenta la pertinenza dei risultati delle ricerche generati da Solr.
Se disabilitato, vengono inviati i nomi dei campi di ricerca predefiniti, e Solr ignorerà i propri campi di ricerca.';
$string['errorcreatingschema'] = 'Si è verificato un errore durante la creazione dello schema Solr: {$a}';
$string['errorvalidatingschema'] = 'Si è verificato un errore nello schema Solr: il campo {$a->fieldname} non esiste. Per favore  <a href="{$a->setupurl}">segui questo link</a> per impostare i campi richiesti.';
$string['extensionerror'] = 'L\'estensione PHP Apache Solr non è installata. Per favore approfondisci nella documentazione.';
$string['fileindexing'] = 'Abilita indicizzazione file';
$string['fileindexing_help'] = 'Se l\'installazione di Solr lo supporta, Totara potrà inviare file da indicizzare.<br/>Sarà necessario indicizzare nuovamente l\'intero sito per includere file già esistenti.';
$string['fileindexsettings'] = 'Impostazione indicizzazione file';
$string['maxindexfilekb'] = 'Dimensione massima dei file da indicizzare (kB)';
$string['maxindexfilekb_help'] = 'L\'indicizzazione salterà i file di dimensioni maggiori di quella impostata. Un valore pari a zero consentirà l\'indicizzazione di file di qualsiasi dimensione.';
$string['minimumsolr4'] = 'Moodle richiede come minimo la versione 4.0 di Solr';
$string['missingconfig'] = 'Il server Apache Solr non risulta configurato in Totara.';
$string['multivaluedfield'] = 'Il campo "{$a}" ha restituito un array invece di uno scalare. Devi eliminare l\'attuale indice, crearlo di nuovo e lanciare setup_schema.php prima di indicizzare i dati con Solr.';
$string['nodatafromserver'] = 'Nessun dato dal server';
$string['pluginname'] = 'Solr';
$string['schemafieldautocreated'] = 'Il campo "{$a}" è già esistente nello schema Solr. Probabilmente è stato dimenticato di eseguire lo script prima che l\'indicizzazione dei dati e dei campi venissero creati automaticamente da Solr. Prima di indicizzare i dati in Solr, occorre eliminare l\'indice attuale, crearne uno nuovo e in seguito eseguire di nuovo setup_schema.php';
$string['schemasetupfromsolr5'] = 'La versione del server Solr è inferiore alla 5.0. Lo script può impostare lo schema solo se la versione di Solr è 5.0 o superiore. Devi impostare i campi nello schema manualmente in accordo a search_solrdocument::get_default_fields_definition().';
$string['searchinfo'] = 'Query di ricerca';
$string['searchinfo_help'] = 'I campi dove cercare possono essere indicati utilizzando i prefissi \'title:\', \'content:\', \'name:\', o \'intro:\'. Ad esempio, la ricerca di \'title:news\' troverà tutte le occorrenze della parola \'news\' nel titolo.

Gli operatori booleani (\'AND\', \'OR\', \'NOT\') possono essere utilizzati per combinare o escludere parole chiave.

E\' anche possibile utilizzare caratteri jolly (\'*\' or \'?\' ) per rappresentare caratteri nella ricerca.';
$string['setupok'] = 'Lo schema è pronto all\'uso.';
$string['solrauthpassword'] = 'Password autenticazione HTTP';
$string['solrauthuser'] = 'Username autenticazione HTTP';
$string['solrhttpconnectionport'] = 'Porta';
$string['solrhttpconnectiontimeout'] = 'Timeout';
$string['solrhttpconnectiontimeout_desc'] = 'Il timeout di connessione è il tempo massimo (espresso in secondi) consentito per il trasferimento dei dati via HTTP.';
$string['solrindexname'] = 'Nome dell\'indice';
$string['solrinfo'] = 'Solr';
$string['solrnotselected'] = 'Il motore Solr non è il motore di ricerca configurato';
$string['solrsecuremode'] = 'Modalità sicura';
$string['solrserverhostname'] = 'Nome host';
$string['solrserverhostname_desc'] = 'Nome del dominio del server Solr';
$string['solrsetting'] = 'Impostazioni Solr';
$string['solrsslcainfo'] = 'Nome dei certificati SSL CA';
$string['solrsslcainfo_desc'] = 'Il nome del file contenente uno o più certificati CA';
$string['solrsslcapath'] = 'Percorso dei certificati SSL CA';
$string['solrsslcapath_desc'] = 'Percorso della cartella contenente i certificati CA per la verifica del peer';
$string['solrsslcert'] = 'Certificato SSL';
$string['solrsslcert_desc'] = 'Il nome del file contenente un certificato formattato PEM';
$string['solrsslkey'] = 'Chiave SSL';
$string['solrsslkey_desc'] = 'Il nome del file contenente una chiave formattata PEM';
$string['solrsslkeypassword'] = 'Password chiave SSL';
$string['solrsslkeypassword_desc'] = 'La password della chiave privata formattata PEM';
